Bug 182606 - rsh MACHINE top does not work
rsh MACHINE top does not work
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: procps (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 12:15 EST by dann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-12 12:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dann 2006-02-23 12:15:27 EST
On an x86  Red Hat Enterprise Linux AS release 4 (Nahant Update 2)
using "top" from procps-3.2.3-8.2 doing

rsh REMOTE_MACHINE top

does not work, it prints an error saying
TERM environment variable not set.

This kind of usage is a very convenient way to check the status of a remote
machine. 

rsh REMOTE_MACHINE top -b -n 1
works, but that is too verbose, top should be able to determine that is not
running on an interactive terminal when run from rsh, so it should not ask for
TERM to be set, and just do the the equivalent of -b -n 1

On all other OSes that I know of rsh top just works, and system administrators
are used to this command.
Comment 1 Karel Zak 2006-03-12 12:31:19 EST
I don't think this is an urgen problem that should be fixed by errata update. 

Please, use the official Red Hat Inc. support
(http://www.redhat.com/apps/support/) if you still think that this issue should
be fixed. The bugzilla is not right way for your RHEL requests. Thanks.

Note You need to log in before you can comment on or make changes to this bug.